"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ManagedBlockchainClient_1 = require("./ManagedBlockchainClient");
const CreateMemberCommand_1 = require("./commands/CreateMemberCommand");
const CreateNetworkCommand_1 = require("./commands/CreateNetworkCommand");
const CreateNodeCommand_1 = require("./commands/CreateNodeCommand");
const CreateProposalCommand_1 = require("./commands/CreateProposalCommand");
const DeleteMemberCommand_1 = require("./commands/DeleteMemberCommand");
const DeleteNodeCommand_1 = require("./commands/DeleteNodeCommand");
const GetMemberCommand_1 = require("./commands/GetMemberCommand");
const GetNetworkCommand_1 = require("./commands/GetNetworkCommand");
const GetNodeCommand_1 = require("./commands/GetNodeCommand");
const GetProposalCommand_1 = require("./commands/GetProposalCommand");
const ListInvitationsCommand_1 = require("./commands/ListInvitationsCommand");
const ListMembersCommand_1 = require("./commands/ListMembersCommand");
const ListNetworksCommand_1 = require("./commands/ListNetworksCommand");
const ListNodesCommand_1 = require("./commands/ListNodesCommand");
const ListProposalVotesCommand_1 = require("./commands/ListProposalVotesCommand");
const ListProposalsCommand_1 = require("./commands/ListProposalsCommand");
const RejectInvitationCommand_1 = require("./commands/RejectInvitationCommand");
const VoteOnProposalCommand_1 = require("./commands/VoteOnProposalCommand");
class ManagedBlockchain extends ManagedBlockchainClient_1.ManagedBlockchainClient {
    createMember(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateMemberCommand_1.CreateMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createNetwork(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateNetworkCommand_1.CreateNetworkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createNode(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateNodeCommand_1.CreateNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createProposal(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateProposalCommand_1.CreateProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteMember(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteMemberCommand_1.DeleteMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteNode(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteNodeCommand_1.DeleteNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getMember(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetMemberCommand_1.GetMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getNetwork(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetNetworkCommand_1.GetNetworkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getNode(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetNodeCommand_1.GetNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getProposal(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetProposalCommand_1.GetProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listInvitations(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListInvitationsCommand_1.ListInvitationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listMembers(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListMembersCommand_1.ListMembersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listNetworks(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListNetworksCommand_1.ListNetworksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listNodes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListNodesCommand_1.ListNodesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listProposalVotes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListProposalVotesCommand_1.ListProposalVotesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listProposals(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListProposalsCommand_1.ListProposalsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    rejectInvitation(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RejectInvitationCommand_1.RejectInvitationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    voteOnProposal(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new VoteOnProposalCommand_1.VoteOnProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ManagedBlockchain = ManagedBlockchain;
//# sourceMappingURL=ManagedBlockchain.js.map