"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateMember_1 = require("../model/operations/CreateMember");
class CreateMemberCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateMember_1.CreateMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateMemberCommand = CreateMemberCommand;
//# sourceMappingURL=CreateMemberCommand.js.map