"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteMember_1 = require("../model/operations/DeleteMember");
class DeleteMemberCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteMember_1.DeleteMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteMemberCommand = DeleteMemberCommand;
//# sourceMappingURL=DeleteMemberCommand.js.map