"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListMembers_1 = require("../model/operations/ListMembers");
class ListMembersCommand {
    constructor(input) {
        this.input = input;
        this.model = ListMembers_1.ListMembers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListMembersCommand = ListMembersCommand;
//# sourceMappingURL=ListMembersCommand.js.map