"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListNetworks_1 = require("../model/operations/ListNetworks");
class ListNetworksCommand {
    constructor(input) {
        this.input = input;
        this.model = ListNetworks_1.ListNetworks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListNetworksCommand = ListNetworksCommand;
//# sourceMappingURL=ListNetworksCommand.js.map