"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListNodes_1 = require("../model/operations/ListNodes");
class ListNodesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListNodes_1.ListNodes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListNodesCommand = ListNodesCommand;
//# sourceMappingURL=ListNodesCommand.js.map