"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListProposals_1 = require("../model/operations/ListProposals");
class ListProposalsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListProposals_1.ListProposals;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListProposalsCommand = ListProposalsCommand;
//# sourceMappingURL=ListProposalsCommand.js.map