"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateNetworkInput_1 = require("../shapes/CreateNetworkInput");
const CreateNetworkOutput_1 = require("../shapes/CreateNetworkOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNetwork = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNetwork",
    http: {
        method: "POST",
        requestUri: "/networks"
    },
    input: {
        shape: CreateNetworkInput_1.CreateNetworkInput
    },
    output: {
        shape: CreateNetworkOutput_1.CreateNetworkOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateNetwork.js.map