"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetMemberInput_1 = require("../shapes/GetMemberInput");
const GetMemberOutput_1 = require("../shapes/GetMemberOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMember",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/members/{memberId}"
    },
    input: {
        shape: GetMemberInput_1.GetMemberInput
    },
    output: {
        shape: GetMemberOutput_1.GetMemberOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetMember.js.map