"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetNetworkInput_1 = require("../shapes/GetNetworkInput");
const GetNetworkOutput_1 = require("../shapes/GetNetworkOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetNetwork = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetNetwork",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}"
    },
    input: {
        shape: GetNetworkInput_1.GetNetworkInput
    },
    output: {
        shape: GetNetworkOutput_1.GetNetworkOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetNetwork.js.map