"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetNodeInput_1 = require("../shapes/GetNodeInput");
const GetNodeOutput_1 = require("../shapes/GetNodeOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetNode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetNode",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes/{nodeId}"
    },
    input: {
        shape: GetNodeInput_1.GetNodeInput
    },
    output: {
        shape: GetNodeOutput_1.GetNodeOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetNode.js.map