"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListProposalVotesInput_1 = require("../shapes/ListProposalVotesInput");
const ListProposalVotesOutput_1 = require("../shapes/ListProposalVotesOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListProposalVotes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListProposalVotes",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/proposals/{proposalId}/votes"
    },
    input: {
        shape: ListProposalVotesInput_1.ListProposalVotesInput
    },
    output: {
        shape: ListProposalVotesOutput_1.ListProposalVotesOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListProposalVotes.js.map