"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RejectInvitationInput_1 = require("../shapes/RejectInvitationInput");
const RejectInvitationOutput_1 = require("../shapes/RejectInvitationOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const IllegalActionException_1 = require("../shapes/IllegalActionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RejectInvitation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RejectInvitation",
    http: {
        method: "DELETE",
        requestUri: "/invitations/{invitationId}"
    },
    input: {
        shape: RejectInvitationInput_1.RejectInvitationInput
    },
    output: {
        shape: RejectInvitationOutput_1.RejectInvitationOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: IllegalActionException_1.IllegalActionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=RejectInvitation.js.map