"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VoteOnProposalInput_1 = require("../shapes/VoteOnProposalInput");
const VoteOnProposalOutput_1 = require("../shapes/VoteOnProposalOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const IllegalActionException_1 = require("../shapes/IllegalActionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.VoteOnProposal = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "VoteOnProposal",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/proposals/{proposalId}/votes"
    },
    input: {
        shape: VoteOnProposalInput_1.VoteOnProposalInput
    },
    output: {
        shape: VoteOnProposalOutput_1.VoteOnProposalOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: IllegalActionException_1.IllegalActionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=VoteOnProposal.js.map